///////////////////////////////////////////////////////////////////////////////
//                                                         
// CegoOrderCursor.cc
// -------------------
// Cego order cursor class implementation
//      
// Design and Implementation by Bjoern Lemke
//     
// (C)opyright 2000-2013 Bjoern Lemke
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; see the file COPYING.  If not, write to
// the Free Software Foundation, 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.
//
// IMPLEMENTATION MODULE
//
// Class: CegoOrderCursor
// 
// Description: A cursor, to trace order space tables
//
// Status: QG-2.6
//
///////////////////////////////////////////////////////////////////////////////


// cego includes
#include "CegoOrderCursor.h"
#include "CegoOrderNode.h"

CegoOrderCursor::CegoOrderCursor(AVLTreeT<CegoOrderNode> *pAVL)
{
    _pAVL = pAVL;
}

CegoOrderCursor::~CegoOrderCursor()
{
}

bool CegoOrderCursor::getFirst(ListT<CegoField>& fl)
{
    CegoOrderNode* pN = _pAVL->First();

    if ( pN )
    {
	fl = pN->getTuple();
	return true;
    }
    return false;
}


bool CegoOrderCursor::getNext(ListT<CegoField>& fl)
{

    CegoOrderNode* pN = _pAVL->Next();

    if ( pN )
    {
	fl = pN->getTuple();
	return true;
    }
    return false;
}

void CegoOrderCursor::abort()
{
}
